%define	name	acl
%define	version	2.2.48
%define subrel 1
%define	release	%mkrel 1

%define	libname_orig	lib%{name}
%define lib_major	1
%define libname	  %mklibname %{name} %{lib_major}
%define develname %mklibname -d %{name}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Command for manipulating access control lists
License:	GPLv2+ and LGPLv2
Group:		System/Kernel and hardware
URL:		http://savannah.nongnu.org/projects/acl
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.src.tar.gz
Patch0:		acl-2.2.48-CVE-2009-4411.diff
BuildRequires:	attr-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n	%{libname}
Summary:	Main library for %{libname_orig}
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
This package contains the %{libname_orig} dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n	%{develname}
Summary:	Access control list static libraries and headers
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	acl-devel = %{version}-%{release}
Provides:	libacl-devel = %{version}-%{release}
Obsoletes:	%mklibname -d acl 0
Obsoletes:	%mklibname -d acl 1

%description -n	%{develname}
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

You should install %{develname} if you want to develop programs
which make use of ACLs.  If you install %{develname}, you will
also want to install %{libname}.

%prep
%setup -q
%patch0 -p0 -b .CVE-2009-4411

%build
%configure2_5x --libdir=/%{_lib} --sbindir=/bin
%make

%install
rm -rf %{buildroot}
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/
make install-lib DIST_ROOT=%{buildroot}/

perl -pi -e 's,\s(/%{_lib})(.*attr\.la),%{_libdir}/$2,g' %{buildroot}/%{_libdir}/%{_lib}acl.la

rm -rf %{buildroot}%{_docdir}/acl
%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%doc doc/COPYING
/%{_lib}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/extensions.txt doc/COPYING doc/libacl.txt
/%{_lib}/*.so
/%{_lib}/*a
%{_libdir}/*.so
%{_libdir}/*a
%{_mandir}/man[235]/*
%dir %{_includedir}/acl
%{_includedir}/acl/libacl.h
%{_includedir}/sys/acl.h


%changelog
* Mon Dec 28 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.48-1.1mdv2010.0
- P0: security fix for CVE-2009-4411 (upstream)

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.48-1mdv2010.0
+ Revision: 421234
- Update to new version 2.48
- Remove symlinks patch integrated upstream

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Added patch0 to prevent following symlinks when not needed (#43741).

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.47-6mdv2010.0
+ Revision: 413019
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.47-5mdv2009.1
+ Revision: 316459
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.47-4mdv2009.0
+ Revision: 220325
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 11 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.47-3mdv2008.1
+ Revision: 165429
- New upstream version

* Mon Jan 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.45-3mdv2008.1
+ Revision: 159089
- make it provide libacl-devel again

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 2.2.45-2mdv2008.1
+ Revision: 158752
- fix upgrading by obsoleting correct pacakage

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.45-1mdv2008.1
+ Revision: 158654
- new devel policy
- update to new version 2.2.45

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.44-3mdv2008.1
+ Revision: 148405
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

  + Christiaan Welvaart <spturtle@mandriva.org>
    - 2.2.44


* Sat Mar 03 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.39-2mdv2007.0
+ Revision: 131825
- Rebuilt.
- Import acl

* Sun Jul 09 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.39-1mdv2007.0
- 2.2.39.

* Fri May 05 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.34-1mdk
- 2.2.34

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.31-3mdk
- add BuildRequires: libtool

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.2.31-2mdk
- Rebuild

* Wed Aug 03 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.2.31-1mdk
- 2.2.31.

* Wed Jul 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.23-2mdk
- if we list the libattr libtool file in our libtool file, at least
  ensure the location is right

* Fri Apr 30 2004 Juan Quintela <quintela@mandrakesoft.com> 2.2.23-1mdk
- 2.2.23.

